Package org.apache.groovy.sql.extensions

## Class SqlExtensions

- java.lang.Object
- - org.apache.groovy.sql.extensions.SqlExtensions

-     public class SqlExtensions
      extends Object

  This class defines all the new SQL-related groovy methods which enhance the normal JDK SQL classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlExtensions()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `asBoolean​(GroovyResultSet grs)` | Coerce a GroovyResultSet to a boolean value.
    `static Iterator<ResultSetMetaDataWrapper>` | `iterator​(ResultSetMetaData resultSetMetaData)` | Return an Iterator given a ResultSetMetaData.
    `static GroovyRowResult` | `toRowResult​(ResultSet rs)` | Returns a GroovyRowResult given a ResultSet.
    `static Timestamp` | `toTimestamp​(Date d)` | Return a java.sql.Timestamp given a java.util.Date.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlExtensions

          public SqlExtensions()

  - ### Method Detail

    - #### toRowResult

          public static GroovyRowResult toRowResult​(ResultSet rs)
                                             throws SQLException

      Returns a GroovyRowResult given a ResultSet.
      Parameters:
        `rs` - a ResultSet
      Returns:
        the resulting GroovyRowResult
      Throws:
        `SQLException` - if a database error occurs
      Since:
        1.6.0

    - #### toTimestamp

          public static Timestamp toTimestamp​(Date d)

      Return a java.sql.Timestamp given a java.util.Date.
      Parameters:
        `d` - a date
      Returns:
        the date wrapped as a Timestamp
      Since:
        1.6.6

    - #### asBoolean

          public static boolean asBoolean​(GroovyResultSet grs)

      Coerce a GroovyResultSet to a boolean value. A GroovyResultSet is coerced to false if there are no more rows to iterate over, and to true otherwise.
      Parameters:
        `grs` - the GroovyResultSet
      Returns:
        the boolean value
      Since:
        1.7.0

    - #### iterator

          public static Iterator<ResultSetMetaDataWrapper> iterator​(ResultSetMetaData resultSetMetaData)

      Return an Iterator given a ResultSetMetaData. Enables Groovy collection method syntactic sugar on ResultSetMetaData.
      Parameters:
        `resultSetMetaData` - the ResultSetMetaData to iterate over
      Returns:
        an iterator for the ResultSetMetaData
      Since:
        1.7